# compass-usage-report [![travis][travis_img]][travis_url] [![npm][npm_img]][npm_url]

> report detailing metrics about how compass is being used

This module implements a CLI for obtaining a text report on various metrics about compass usage. The metrics included are:

- active user count by OS
- data on how successfully users connect to instances
- data on how successfully users autoupdate
- how often the app is launched per day
- data on how quickly compass is sampling data
- data on user session lengths

## Example

```js
compass-usage-report
```
If you want to see a specific report or individual reports:
```js
compass-usage-report -r users
```
The above command will just display the users report.

## License

Apache 2.0

[travis_img]: https://img.shields.io/travis/mongodb-js/compass-usage-report.svg
[travis_url]: https://travis-ci.org/mongodb-js/compass-usage-report
[npm_img]: https://img.shields.io/npm/v/compass-usage-report.svg
[npm_url]: https://npmjs.org/package/compass-usage-report
